package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.ObjAcciMapper;
import com.goldenwater.slaj.acci.domain.ObjAcci;
import com.goldenwater.slaj.acci.service.IObjAcciService;

/**
 * 事故对象 服务层实现
 */
@Service
public class ObjAcciServiceImpl implements IObjAcciService {

    @Autowired
    private ObjAcciMapper objAcciMapper;

    /**
     * 查询事故对象信息
     * @param guid 查询条件
     * @return 事故对象信息
     */
    @Override
    public ObjAcci selectObjAcciByGuid(String guid) {
        return objAcciMapper.selectObjAcciByGuid(guid);
    }

    /**
     * 查询事故对象列表
     * @param objAcci 事故对象查询条件
     * @return 事故对象集合
     */
    @Override
    public List<ObjAcci> selectObjAcciList(ObjAcci objAcci) {
        return objAcciMapper.selectObjAcciList(objAcci);
    }

    /**
     * 新增事故对象
     * @param objAcci 事故对象信息
     * @return 影响行数
     */
    @Override
    public int insertObjAcci(ObjAcci objAcci) {
        return objAcciMapper.insertObjAcci(objAcci);
    }

    /**
     * 修改事故对象
     * @param objAcci 事故对象信息
     * @return 影响行数
     */
    @Override
    public int updateObjAcci(ObjAcci objAcci) {
        return objAcciMapper.updateObjAcci(objAcci);
    }

    /**
     * 删除事故对象
     * @param guid 事故对象主键
     * @return 影响行数
     */
    @Override
    public int deleteObjAcciByGuid(String guid) {
        return objAcciMapper.deleteObjAcciByGuid(guid);
    }

    /**
     * 批量删除事故对象
     * @param guids 事故对象主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjAcciByGuids(String[] guids) {
        return objAcciMapper.deleteObjAcciByGuids(guids);
    }
}
